<?php
/**
 * @version     $Id$
 * @package     RaceSchedule
 * @subpackage  com_raceschedule
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * RaceSchedule display helper.
 *
 * @package     The Jumbotron Race Schedule
 * @subpackage  com_raceschedule
 * @since       2.0.0
 */
class RaceScheduleHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_TRACK'),
			'index.php?option=com_raceschedule&view=tracks',
			$vName == 'tracks'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_SCHEDULE'),
			'index.php?option=com_raceschedule&view=schedules',
			$vName == 'schedules'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_DIVISION'),
			'index.php?option=com_raceschedule&view=divisions',
			$vName == 'divisions'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_EVENT'),
			'index.php?option=com_raceschedule&view=events',
			$vName == 'events'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_RESULT'),
			'index.php?option=com_raceschedule&view=results',
			$vName == 'results'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_RACESCHEDULE_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_raceschedule',
			$vName == 'categories'
		);
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return  JObject
	 * @since   1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, 'com_raceschedule'));
		}

		return $result;
	}
}